package com.ruoyi.buyerapi.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通用文件关联信息对象 buyer_file_info
 * 
 * @author ruoyi
 * @date 2022-09-20
 */
@ApiModel(value = "通用文件关联信息对象")
@Data
public class BuyerFileInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty(value = "id")
    private String id;

    /** 备注 */
    @ApiModelProperty(value = "备注")
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    @ApiModelProperty(value = "删除标志（0代表存在 1代表删除）")
    private String delFlag;

    /** 立项管理验收资料id */
    @ApiModelProperty(value = "立项管理验收资料id")
    @Excel(name = "立项管理验收资料id")
    private String linkId;

    /** 文件地址 */
    @ApiModelProperty(value = "文件地址")
    @Excel(name = "文件地址")
    private String fileAddr;

    /** 文件URL */
    @ApiModelProperty(value = "文件URL")
    @Excel(name = "文件URL")
    private String fileUrl;

    /** 文件名 */
    @ApiModelProperty(value = "文件名")
    @Excel(name = "文件名")
    private String fileName;

    /** 文件大小 */
    @ApiModelProperty(value = "文件大小")
    @Excel(name = "文件大小")
    private String fileSize;

    /** 上传时间 */
    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上传时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date uploadTime;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setLinkId(String linkId) 
    {
        this.linkId = linkId;
    }

    public String getLinkId() 
    {
        return linkId;
    }
    public void setFileAddr(String fileAddr) 
    {
        this.fileAddr = fileAddr;
    }

    public String getFileAddr() 
    {
        return fileAddr;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setFileSize(String fileSize) 
    {
        this.fileSize = fileSize;
    }

    public String getFileSize() 
    {
        return fileSize;
    }
    public void setUploadTime(Date uploadTime) 
    {
        this.uploadTime = uploadTime;
    }

    public Date getUploadTime() 
    {
        return uploadTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("linkId", getLinkId())
            .append("fileAddr", getFileAddr())
            .append("fileName", getFileName())
            .append("fileSize", getFileSize())
            .append("uploadTime", getUploadTime())
            .toString();
    }
}
